GNU logs - #47006, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] [PATCH] gnu: Add zig.
Resent-From: Leo Prikler <leo.prikler@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 08 Mar 2021 13:15:02 +0000
Resent-Message-ID: <handler.47006.B.16152092444756 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 47006 <at> debbugs.gnu.org
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16152092444756
          (code B ref -1); Mon, 08 Mar 2021 13:15:02 +0000
Received: (at submit) by debbugs.gnu.org; 8 Mar 2021 13:14:04 +0000
Received: from localhost ([127.0.0.1]:42351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJFi0-0001Ec-7e
	for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 08:14:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:55508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lJFhv-0001Dz-Ep
 for submit <at> debbugs.gnu.org; Mon, 08 Mar 2021 08:14:02 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44994)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1lJFhv-0000wZ-8Y
 for guix-patches@HIDDEN; Mon, 08 Mar 2021 08:13:59 -0500
Received: from mailrelay.tugraz.at ([129.27.2.202]:46400)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo.prikler@HIDDEN>)
 id 1lJFhr-0001ye-Qb
 for guix-patches@HIDDEN; Mon, 08 Mar 2021 08:13:58 -0500
Received: from localhost.localdomain (217-149-164-20.nat.highway.telekom.at
 [217.149.164.20])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4DvJgs48t4z3wFK
 for <guix-patches@HIDDEN>; Mon,  8 Mar 2021 14:13:45 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1615209225;
 bh=NCb7DsqfunqrWHvrUlTJ4Sh0Snhec4rLl4RVxdBSzyE=;
 h=From:To:Subject:Date;
 b=tqZ0JFbonb1c8Bkhv0IgViOYm0ThcTMInNO6YSUeJsc0iDTqMM87Xjk741kBjjSgO
 Y89nhLzucWwDIaBaM0k2ywb+B0knzlN9ZASAql4h2XWp0f0+rQ6t9cvfuitcDche6N
 loqBiDmWwxPYBxs0bW1HddXq0XJ9vem3c4abHBRI=
From: Leo Prikler <leo.prikler@HIDDEN>
Date: Mon,  8 Mar 2021 14:11:56 +0100
Message-Id: <20210308131155.7441-1-leo.prikler@HIDDEN>
X-Mailer: git-send-email 2.30.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
Received-SPF: pass client-ip=129.27.2.202;
 envelope-from=leo.prikler@HIDDEN; helo=mailrelay.tugraz.at
X-Spam_score_int: -42
X-Spam_score: -4.3
X-Spam_bar: ----
X-Spam_report: (-4.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/zig.scm: New file.
* gnu/local.mk (GNU_SYSTEM_MODULES): Add it here.
---
 gnu/local.mk         |  1 +
 gnu/packages/zig.scm | 65 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)
 create mode 100644 gnu/packages/zig.scm

diff --git a/gnu/local.mk b/gnu/local.mk
index fb3b395852..abcf86fb7e 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -586,6 +586,7 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/xdisorg.scm			\
   %D%/packages/xorg.scm				\
   %D%/packages/xfce.scm				\
+  %D%/packages/zig.scm				\
   %D%/packages/zile.scm				\
   %D%/packages/zwave.scm			\
 						\
diff --git a/gnu/packages/zig.scm b/gnu/packages/zig.scm
new file mode 100644
index 0000000000..caf0a5e21a
--- /dev/null
+++ b/gnu/packages/zig.scm
@@ -0,0 +1,65 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2021 Leo Prikler <leo.prikler@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages zig)
+  #:use-module (guix packages)
+  #:use-module (guix git-download)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system cmake)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages llvm))
+
+(define-public zig
+  (package
+    (name "zig")
+    (version "0.7.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ziglang/zig.git")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1z6c4ym9jmga46cw2arn7zv2drcpmrf3vw139gscxp27n7q2z5md"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("clang" ,clang-11)
+       ("lld" ,lld)
+       ("llvm" ,llvm-11)))
+    (arguments
+     `(#:tests? #f                       ; no check target
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'configure 'set-home
+           (lambda _
+             (setenv "HOME" (getcwd))    ; zig writes to $HOME/.cache
+             #t)))))
+    (synopsis "General purpose programming language and toolchain")
+    (description "Zig is a general-purpose programming language and
+toolchain.  Among other features it provides
+@itemize
+@item an Optional type instead of null pointers,
+@item manual memory management,
+@item generic data structures and functions,
+@item compile-time reflection and compile-time code execution,
+@item integration with C using zig as a C compiler, and
+@item concurrency via async functions.
+@end itemize")
+    (home-page "https://github.com/ziglang/zig")
+    (license license:expat)))
-- 
2.30.1





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Leo Prikler <leo.prikler@HIDDEN>
Subject: bug#47006: Acknowledgement ([PATCH] gnu: Add zig.)
Message-ID: <handler.47006.B.16152092444756.ack <at> debbugs.gnu.org>
References: <20210308131155.7441-1-leo.prikler@HIDDEN>
X-Gnu-PR-Message: ack 47006
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 47006 <at> debbugs.gnu.org
Date: Mon, 08 Mar 2021 13:15:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 47006 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
47006: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D47006
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] [PATCH v2 0/1] gnu: Add zig.
References: <20210308131155.7441-1-leo.prikler@HIDDEN>
In-Reply-To: <20210308131155.7441-1-leo.prikler@HIDDEN>
Resent-From: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Mar 2021 14:22:01 +0000
Resent-Message-ID: <handler.47006.B47006.16158180829263 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 47006 <at> debbugs.gnu.org
Cc: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Received: via spool by 47006-submit <at> debbugs.gnu.org id=B47006.16158180829263
          (code B ref 47006); Mon, 15 Mar 2021 14:22:01 +0000
Received: (at 47006) by debbugs.gnu.org; 15 Mar 2021 14:21:22 +0000
Received: from localhost ([127.0.0.1]:36306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLo5x-0002PF-QT
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 10:21:22 -0400
Received: from mail.zaclys.net ([178.33.93.72]:50031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lLo5s-0002Ox-Un
 for 47006 <at> debbugs.gnu.org; Mon, 15 Mar 2021 10:21:20 -0400
Received: from localhost.localdomain (82-64-145-38.subs.proxad.net
 [82.64.145.38]) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 12FEL8na026359
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Mon, 15 Mar 2021 15:21:09 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 12FEL8na026359
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1615818069;
 bh=ZdLEqfxXBSU9Kj6JkCeqSGSy/wjazZbR2O1WQcRGQCM=;
 h=From:To:Cc:Subject:Date:From;
 b=bQokzQ/MSu8BuQGLnTTVtt4EVmWor5LR2tlvr3fxReCjuYXgWaM0pn1wnVorweA9V
 YNQU4ifXlgToVllSUDKWxnGQY+zKsIN6ApQ+iG7iYQzNt0fNFMUvfQBaTI7Izes1TQ
 PqKK+DTVOojiXMsUvCvbXT3om1Jky0kIgktMtKuU=
From: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Date: Mon, 15 Mar 2021 15:20:44 +0100
Message-Id: <20210315142045.25392-1-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.2
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I attempted to add tests, Zig has an unconventional way of requiring tests to be
run after installation so I added a 'check phase after the 'install phase which
works but then after lots of tests succeeded there is a FileNotFound error cause
by some 'test' binary failing to run.

I found out by running:

$ ./pre-inst-env guix build --keep-failed zig
$ cd /tmp/guix-build-zig-0.7.1.drv-0/source
$ env -i $(which bash)
$ source ../environment-variables
$ /run/current-system/profile/bin/strace -f -e trace=file /gnu/store/1cmjgdiim452bqkzgp53d0kw4fi4gfar-zig-0.7.1/bin/zig build test
...
[pid 25896] execve("/tmp/guix-build-zig-0.7.1.drv-0/source/zig-cache/o/25718f52ae311b1dafdba7de4a338f12/test", ["/tmp/guix-build-zig-0.7.1.drv-0/"...], 0x4e42bb0 /* 27 vars */) = -1 ENOENT (No such file or directory)
[pid 25896] +++ exited with 1 +++
[pid 25885] --- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=25896, si_uid=1000, si_status=1, si_utime=0, si_stime=0} ---
error: FileNotFound
...
$ ldd /tmp/guix-build-zig-0.7.1.drv-0/source/zig-cache/o/25718f52ae311b1dafdba7de4a338f12/test
        linux-vdso.so.1 (0x00007ffd22d1d000)
        libc.so.6 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libc.so.6 (0x00007fea82162000)
        libm.so.6 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libm.so.6 (0x00007fea82021000)
        libpthread.so.0 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libpthread.so.0 (0x00007fea82000000)
        libdl.so.2 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libdl.so.2 (0x00007fea81ffb000)
        librt.so.1 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/librt.so.1 (0x00007fea81ff1000)
        /lib64/ld-linux-x86-64.so.2 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/ld-linux-x86-64.so.2 (0x00007fea82321000)
        libutil.so.1 => /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib/libutil.so.1 (0x00007fea81fec000)
$ file /tmp/guix-build-zig-0.7.1.drv-0/source/zig-cache/o/25718f52ae311b1dafdba7de4a338f12/test
/tmp/guix-build-zig-0.7.1.drv-0/source/zig-cache/o/25718f52ae311b1dafdba7de4a338f12/test: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.0.0, with debug_info, not stripped

The issue here is that this binary should work fine already according to the
output of ldd and file. We would need a way to get verbose debugging errors of
execve somehow.

Leo Prikler (1):
  gnu: Add zig.

 gnu/local.mk         |  1 +
 gnu/packages/zig.scm | 76 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)
 create mode 100644 gnu/packages/zig.scm

-- 
2.30.2





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] [PATCH v2 1/1] gnu: Add zig.
Resent-From: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 15 Mar 2021 14:22:02 +0000
Resent-Message-ID: <handler.47006.B47006.16158180859277 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 47006 <at> debbugs.gnu.org
Cc: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>, Leo Prikler <leo.prikler@HIDDEN>
Received: via spool by 47006-submit <at> debbugs.gnu.org id=B47006.16158180859277
          (code B ref 47006); Mon, 15 Mar 2021 14:22:02 +0000
Received: (at 47006) by debbugs.gnu.org; 15 Mar 2021 14:21:25 +0000
Received: from localhost ([127.0.0.1]:36308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLo61-0002PY-AX
	for submit <at> debbugs.gnu.org; Mon, 15 Mar 2021 10:21:25 -0400
Received: from mail.zaclys.net ([178.33.93.72]:54373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lLo5t-0002P0-KY
 for 47006 <at> debbugs.gnu.org; Mon, 15 Mar 2021 10:21:22 -0400
Received: from localhost.localdomain (82-64-145-38.subs.proxad.net
 [82.64.145.38]) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 12FEL8nb026359
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NO);
 Mon, 15 Mar 2021 15:21:10 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 12FEL8nb026359
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1615818070;
 bh=yulflcoIPLqBDgqSRfbI7i6i7E+GRbUk/9hnfRHsYNY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=ZYg4+FCtKNSLxNfHDDWn+agHJMeikOfaSL4olk5tQrBwMPRKOQ8b3q7Jre2RM6Jl3
 cZ4u3iaZ2alKMQrqk4KrkJLfJIOBAGezcHpS+XYH/YYnfRBsk4Bz7TNv4Dvg34syzi
 3NdDzvj46UgUbEkEkmKg6UilxT4Eyj8I1Fr0HFDY=
From: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Date: Mon, 15 Mar 2021 15:20:45 +0100
Message-Id: <20210315142045.25392-2-lle-bout@HIDDEN>
X-Mailer: git-send-email 2.30.2
In-Reply-To: <20210315142045.25392-1-lle-bout@HIDDEN>
References: <20210315142045.25392-1-lle-bout@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Leo Prikler <leo.prikler@HIDDEN>

* gnu/packages/zig.scm: New file.
* gnu/local.mk (GNU_SYSTEM_MODULES): Add it here.

Co-authored-by: Léo Le Bouter <lle-bout@HIDDEN>
---
 gnu/local.mk         |  1 +
 gnu/packages/zig.scm | 76 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)
 create mode 100644 gnu/packages/zig.scm

diff --git a/gnu/local.mk b/gnu/local.mk
index cf8849cf59..ffa8005533 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -586,6 +586,7 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/xdisorg.scm			\
   %D%/packages/xorg.scm				\
   %D%/packages/xfce.scm				\
+  %D%/packages/zig.scm				\
   %D%/packages/zile.scm				\
   %D%/packages/zwave.scm			\
 						\
diff --git a/gnu/packages/zig.scm b/gnu/packages/zig.scm
new file mode 100644
index 0000000000..adc4c3e1e0
--- /dev/null
+++ b/gnu/packages/zig.scm
@@ -0,0 +1,76 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2021 Leo Prikler <leo.prikler@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages zig)
+  #:use-module (guix packages)
+  #:use-module (guix git-download)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix build-system cmake)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages llvm))
+
+(define-public zig
+  (package
+    (name "zig")
+    (version "0.7.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ziglang/zig.git")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1z6c4ym9jmga46cw2arn7zv2drcpmrf3vw139gscxp27n7q2z5md"))))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("clang" ,clang-11)
+       ("lld" ,lld)
+       ("llvm" ,llvm-11)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'save-unpack-dir
+           (lambda _
+             ;; HACK: Passing unpacked source directory to 'check phase.
+             (setenv "ZIG_UNPACK_DIR" (getcwd))
+             #t))
+         (add-after 'configure 'set-home
+           (lambda _
+             (setenv "HOME" (getcwd))    ; zig writes to $HOME/.cache
+             #t))
+         (delete 'check)
+         (add-after 'install 'check
+           (lambda* (#:key outputs #:allow-other-keys)
+             (with-directory-excursion (getenv "ZIG_UNPACK_DIR")
+               (invoke (string-append (assoc-ref outputs "out") "/bin/zig")
+                       "build" "test"))
+             #t)))))
+    (synopsis "General purpose programming language and toolchain")
+    (description "Zig is a general-purpose programming language and
+toolchain.  Among other features it provides
+@itemize
+@item an Optional type instead of null pointers,
+@item manual memory management,
+@item generic data structures and functions,
+@item compile-time reflection and compile-time code execution,
+@item integration with C using zig as a C compiler, and
+@item concurrency via async functions.
+@end itemize")
+    (home-page "https://github.com/ziglang/zig")
+    (license license:expat)))
-- 
2.30.2





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] [PATCH] gnu: Add zig.
Resent-From: Efraim Flashner <efraim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 16 Mar 2021 12:59:03 +0000
Resent-Message-ID: <handler.47006.B47006.161589950022331 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Leo Prikler <leo.prikler@HIDDEN>
Cc: 47006 <at> debbugs.gnu.org
Received: via spool by 47006-submit <at> debbugs.gnu.org id=B47006.161589950022331
          (code B ref 47006); Tue, 16 Mar 2021 12:59:03 +0000
Received: (at 47006) by debbugs.gnu.org; 16 Mar 2021 12:58:20 +0000
Received: from localhost ([127.0.0.1]:38441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM9H9-0005o7-Tf
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 08:58:20 -0400
Received: from flashner.co.il ([178.62.234.194]:54462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lM9H7-0005nu-6j
 for 47006 <at> debbugs.gnu.org; Tue, 16 Mar 2021 08:58:18 -0400
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 55B2340160;
 Tue, 16 Mar 2021 12:58:10 +0000 (UTC)
Date: Tue, 16 Mar 2021 14:57:32 +0200
From: Efraim Flashner <efraim@HIDDEN>
Message-ID: <YFCrPGrTIm/F5mWi@3900XT>
References: <20210308131155.7441-1-leo.prikler@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="ZClCR6dXkjsIUozD"
Content-Disposition: inline
In-Reply-To: <20210308131155.7441-1-leo.prikler@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--ZClCR6dXkjsIUozD
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Mar 08, 2021 at 02:11:56PM +0100, Leo Prikler wrote:
> * gnu/packages/zig.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it here.
> ---
>  gnu/local.mk         |  1 +
>  gnu/packages/zig.scm | 65 ++++++++++++++++++++++++++++++++++++++++++++
>  2 files changed, 66 insertions(+)
>  create mode 100644 gnu/packages/zig.scm
>=20
> diff --git a/gnu/local.mk b/gnu/local.mk
> index fb3b395852..abcf86fb7e 100644
> --- a/gnu/local.mk
> +++ b/gnu/local.mk
> @@ -586,6 +586,7 @@ GNU_SYSTEM_MODULES =3D				\
>    %D%/packages/xdisorg.scm			\
>    %D%/packages/xorg.scm				\
>    %D%/packages/xfce.scm				\
> +  %D%/packages/zig.scm				\
>    %D%/packages/zile.scm				\
>    %D%/packages/zwave.scm			\
>  						\
> diff --git a/gnu/packages/zig.scm b/gnu/packages/zig.scm
> new file mode 100644
> index 0000000000..caf0a5e21a
> --- /dev/null
> +++ b/gnu/packages/zig.scm
> @@ -0,0 +1,65 @@
> +;;; GNU Guix --- Functional package management for GNU
> +;;; Copyright =C2=A9 2021 Leo Prikler <leo.prikler@HIDDEN>
> +;;;
> +;;; This file is part of GNU Guix.
> +;;;
> +;;; GNU Guix is free software; you can redistribute it and/or modify it
> +;;; under the terms of the GNU General Public License as published by
> +;;; the Free Software Foundation; either version 3 of the License, or (at
> +;;; your option) any later version.
> +;;;
> +;;; GNU Guix is distributed in the hope that it will be useful, but
> +;;; WITHOUT ANY WARRANTY; without even the implied warranty of
> +;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
> +;;; GNU General Public License for more details.
> +;;;
> +;;; You should have received a copy of the GNU General Public License
> +;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
> +
> +(define-module (gnu packages zig)
> +  #:use-module (guix packages)
> +  #:use-module (guix git-download)
> +  #:use-module ((guix licenses) #:prefix license:)
> +  #:use-module (guix build-system cmake)
> +  #:use-module (gnu packages)
> +  #:use-module (gnu packages llvm))
> +
> +(define-public zig
> +  (package
> +    (name "zig")
> +    (version "0.7.1")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri (git-reference
> +             (url "https://github.com/ziglang/zig.git")
> +             (commit version)))
> +       (file-name (git-file-name name version))
> +       (sha256
> +        (base32 "1z6c4ym9jmga46cw2arn7zv2drcpmrf3vw139gscxp27n7q2z5md"))=
))
> +    (build-system cmake-build-system)
> +    (native-inputs
> +     `(("clang" ,clang-11)
> +       ("lld" ,lld)
> +       ("llvm" ,llvm-11)))

Does it work to replace these three with clang-toolchain-11?

> +    (arguments
> +     `(#:tests? #f                       ; no check target
> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-after 'configure 'set-home
> +           (lambda _
> +             (setenv "HOME" (getcwd))    ; zig writes to $HOME/.cache
> +             #t)))))
> +    (synopsis "General purpose programming language and toolchain")
> +    (description "Zig is a general-purpose programming language and
> +toolchain.  Among other features it provides
> +@itemize
> +@item an Optional type instead of null pointers,
> +@item manual memory management,
> +@item generic data structures and functions,
> +@item compile-time reflection and compile-time code execution,
> +@item integration with C using zig as a C compiler, and
> +@item concurrency via async functions.
> +@end itemize")
> +    (home-page "https://github.com/ziglang/zig")
> +    (license license:expat)))
> --=20
> 2.30.1
>=20
>=20
>=20
>=20

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--ZClCR6dXkjsIUozD
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmBQqzkACgkQQarn3Mo9
g1HX/w/+OZZFFTqSTVwvL4drj2bu1MYz/cXmE7WXMUn5XJdw+hMZour+DfHk8zrm
kd64lVazm5/mOvpLtw778y4LV/9XNjEO/ix3q4Hh3vtVMcxY0qXQTNIRg1WpXNnm
RjGGHv/ELBUft/27EkWvzcHxcNQSRD784RWhBbRhRTFp4xiktv0tQpuuIYJR23k0
Gi5F2ybYduuZridPe/Xl6JB9A2kB/uCoCp5qNPAiVNfXRQAbtcQ5zrBMq85F9YZh
0V/nY1cubvDrB6sDwQBLyO97frzUIydVw1IlZgGksBjQ7XEeRt1bbMlddyT6DLWm
ywNMn1lN6U11xMyzDs8MWXsllcC+EN06+f8lWZskbRHQF9EFnDUhA7cph6WTOZht
W325w/yloo0u5CtZNig6uDUTGy3ZOwBsapMAxq03YCQO326zNthKzWWuxEAD8rdT
aCX3Kvfl70KJmDdwcJLtxOxipLMZ9TzxIjfUJgcf9X3pVeyypIXgHe1Zt4KHfj1+
oRyt+2Aw+Sc9IPJXk81sbB1gcQs1z2ty79zZdGGfpnNL0ngP43COHbbYrG1NMarQ
o6qPHSPVLgIuAOrSfC8hibxsHEGAmTWiBuRVCeYec2BjRHif0xDCJMKWHG1pLyHt
NV/IUHifg4kBC0WxquTdYuP06qTpX7brYT/+CW7uGzjNygpcY5U=
=gXVo
-----END PGP SIGNATURE-----

--ZClCR6dXkjsIUozD--




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] [PATCH] gnu: Add zig.
Resent-From: Leo Prikler <leo.prikler@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 16 Mar 2021 13:10:02 +0000
Resent-Message-ID: <handler.47006.B47006.161590018223548 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Efraim Flashner <efraim@HIDDEN>
Cc: 47006 <at> debbugs.gnu.org
Received: via spool by 47006-submit <at> debbugs.gnu.org id=B47006.161590018223548
          (code B ref 47006); Tue, 16 Mar 2021 13:10:02 +0000
Received: (at 47006) by debbugs.gnu.org; 16 Mar 2021 13:09:42 +0000
Received: from localhost ([127.0.0.1]:38484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lM9S9-00067k-TB
	for submit <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:09:42 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:56094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo.prikler@HIDDEN>) id 1lM9S7-00067a-62
 for 47006 <at> debbugs.gnu.org; Tue, 16 Mar 2021 09:09:39 -0400
Received: from nijino.local (217-149-164-20.nat.highway.telekom.at
 [217.149.164.20])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4F0DCM5fwKz3w9M;
 Tue, 16 Mar 2021 14:09:35 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1615900175;
 bh=ioNpzdqqOM/zj+0Q5a3p1HQtGAAH0XmikSg1i/7I5GI=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=oft8ADha96J+6Ce8I5G8MvQO/QCgKG3YyNN+2UuyZcE/gyk8HDGC4ayY+W5KmqGPv
 v/76gOReEUSkRpT2JNGKHNh9qOf2O3wrJCI6efSmy5KjaumJlWtlyO/MLh9ddDc1Yh
 7eeh+0G6eeSRnfudoiff19qQNdgshKt2UMGQkU68=
Message-ID: <a53079580e424ca83966a2f0796b5f7722d10290.camel@HIDDEN>
From: Leo Prikler <leo.prikler@HIDDEN>
Date: Tue, 16 Mar 2021 14:09:34 +0100
In-Reply-To: <YFCrPGrTIm/F5mWi@3900XT>
References: <20210308131155.7441-1-leo.prikler@HIDDEN>
 <YFCrPGrTIm/F5mWi@3900XT>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-TUG-Backscatter-control: bt4lQm5Tva3SBgCuw0EnZw
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.116
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Am Dienstag, den 16.03.2021, 14:57 +0200 schrieb Efraim Flashner:
> On Mon, Mar 08, 2021 at 02:11:56PM +0100, Leo Prikler wrote:
> > +    (native-inputs
> > +     `(("clang" ,clang-11)
> > +       ("lld" ,lld)
> > +       ("llvm" ,llvm-11)))
> 
> Does it work to replace these three with clang-toolchain-11?
You can replace clang+llvm by clang-toolchain, but IIUC we prefer the
explicit style in Guix.  Correct me if I'm wrong.

Regards,
Leo





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] [PATCH] gnu: Add zig.
References: <20210308131155.7441-1-leo.prikler@HIDDEN>
In-Reply-To: <20210308131155.7441-1-leo.prikler@HIDDEN>
Resent-From: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 17 Mar 2021 07:06:02 +0000
Resent-Message-ID: <handler.47006.B47006.16159647404676 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 47006 <at> debbugs.gnu.org
Received: via spool by 47006-submit <at> debbugs.gnu.org id=B47006.16159647404676
          (code B ref 47006); Wed, 17 Mar 2021 07:06:02 +0000
Received: (at 47006) by debbugs.gnu.org; 17 Mar 2021 07:05:40 +0000
Received: from localhost ([127.0.0.1]:41754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lMQFQ-0001DM-Au
	for submit <at> debbugs.gnu.org; Wed, 17 Mar 2021 03:05:40 -0400
Received: from mail.zaclys.net ([178.33.93.72]:51497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lMQFO-0001DA-GN
 for 47006 <at> debbugs.gnu.org; Wed, 17 Mar 2021 03:05:38 -0400
Received: from guix-xps.local (82-64-145-38.subs.proxad.net [82.64.145.38])
 (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 12H75WZc050502
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <47006 <at> debbugs.gnu.org>; Wed, 17 Mar 2021 08:05:33 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 12H75WZc050502
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1615964733;
 bh=x6RiyBP5AQ7kljqPObf+v6Me5EvzpLif1X10/ytYTX8=;
 h=Subject:From:To:Date:From;
 b=C1ad17+4JfGFvWVejsimrr/Qt0nVLty2esOItOjyZrB0hHuqRTnPHBTEWBNjNkuxL
 UGXnYvyOPuKsGWuB/jqfL+wzz6jKd5QlNWkjcYeEFSfq/8xwBnTXH5+zkzuTPMr6dD
 T5hrYvCU2iUg+/HecAadszzCt/ikIAxZ0J8YDYEs=
Message-ID: <0c5725ad6fa6154f107c71b18fcaab624f6e75e4.camel@HIDDEN>
From: =?UTF-8?Q?L=C3=A9o?= Le Bouter <lle-bout@HIDDEN>
Date: Wed, 17 Mar 2021 08:05:32 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-aNpqnACTwKXFhLMvk6rW"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-aNpqnACTwKXFhLMvk6rW
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Another patch submission for Zig was sent:=20
https://issues.guix.gnu.org/47206 (I closed and directed them here for
cooperation instead). But still have a look there for any improvements
to the current patch.

--=-aNpqnACTwKXFhLMvk6rW
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmBRqjwACgkQRaix6GvN
EKYblhAAoomapMxAv8wc3k1cs+KI5s04ktCKaVdzEBokHc6UB8Ag6b+dJUnqqbD2
pc1QaCQpCBtmAk+r5ehNw/Zs/vsYXf5f7MACOqN673PWFBwZXotl3bL6m7Vehmlm
puboUvsyX162iWuDoqH0OAQ2Ge1GYJ8NSZnNJZQgDJyMqKDJ7NP16RxKUcoC1BED
dF1sVV+8XohaKdnLhQl/pgwmc3yYyYZwb0idoMEvydfnqjWZKYZBSlhXb9xBWEcm
rl5axewIhWa2WZZ1oTcrBV9FO8wgdeffQtvvYSS/ybO+yAuXnmdMDqVTU9wC2qPS
gK3zPKM9hlOR/0JafEXysDKGU5PGXPrbuFn8gS7cNBaKBCjoBTlqT2MjlQX1ZzIR
2DG8eYk3XukrGGEpVA/R62/Ru4PoR+6KC2pidoIFTSMszPZyq2dX79ShI8WlXC/M
4eI/4OSguGgU9pezRWVEl/0dYb+NvAuxJTN8EuFWcJ6xwG+egOfdPQY0AgG+Nn2T
RHZ0rSELmE7oxrLu5mqv6smvKD9Eu7u3DlKL62j0uoaU8Wql14hx4sls8iHRUqYG
suTtnh+0/GNTAzTPNzRZfvqgHme/xqZxNztY9Tajp9/rqYk1rJv3F+L7NtyfV5LX
HXqqtYCOo4nGpiNP6FPgamtliQunk2iAgN5hZcPiVXiIa/cvX9o=
=L7XK
-----END PGP SIGNATURE-----

--=-aNpqnACTwKXFhLMvk6rW--





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#47006] (No Subject)
References: <20210308131155.7441-1-leo.prikler@HIDDEN>
In-Reply-To: <20210308131155.7441-1-leo.prikler@HIDDEN>
Resent-From: terramorpha@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 09 Apr 2021 22:22:02 +0000
Resent-Message-ID: <handler.47006.B47006.161800690320495 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 47006
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "47006 <at> debbugs.gnu.org" <47006 <at> debbugs.gnu.org>
Reply-To: terramorpha@HIDDEN
Received: via spool by 47006-submit <at> debbugs.gnu.org id=B47006.161800690320495
          (code B ref 47006); Fri, 09 Apr 2021 22:22:02 +0000
Received: (at 47006) by debbugs.gnu.org; 9 Apr 2021 22:21:43 +0000
Received: from localhost ([127.0.0.1]:51115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUzVX-0005KV-IP
	for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 18:21:43 -0400
Received: from mail-40132.protonmail.ch ([185.70.40.132]:57546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <terramorpha@HIDDEN>) id 1lUzRk-0005Dv-G5
 for 47006 <at> debbugs.gnu.org; Fri, 09 Apr 2021 18:17:49 -0400
Date: Fri, 09 Apr 2021 22:17:32 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1618006661;
 bh=vILsTXoobF1Y/zjyG/ZC5W90KT7SlwGik6CqVjSp17A=;
 h=Date:To:From:Reply-To:Subject:From;
 b=HR8Vezj1YzglK//XhsfLZ6aiM96l//bvX2lRIWu6tmlaZlQx+XidMBfjTkjteYmib
 jU7anlW5ZEZ9Wn6rMpM48EwZwH3Roxd/6NRQemoTFXujly5HUKvsHTbJZ21bICXAhV
 BuR0Ahs3K6lMgpE0bkjYh1kC8IHoo1zCKWXFwG+s=
From: terramorpha@HIDDEN
Message-ID: <FGe2Nnzhpn8bKzjuBI1k4XKd_xFvRa7OzA7t7fRbK-ii4F3m-Kd55HArNciMyqwe2P1u8TKe3v_GfUwR9aL2AReXfMliQxC7Xr8ssWXCII0=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_MV7t6MjTFEs3runDDor3nxq1QDdAJe2nvIq2btNeU"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi,
 are there any issues left preventing this patch from being
 merged? If so, I can help. I would love to see Zig packaged in guix. Hi,
 are there any issues left preventing this patch from being merged? If so,
 I can help. I would love to see Zig packaged in guix. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 SLIGHTLY_BAD_SUBJECT   Subject contains something slightly spammy
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [185.70.40.132 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [185.70.40.132 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (terramorpha[at]protonmail.com)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Mailman-Approved-At: Fri, 09 Apr 2021 18:21:43 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is a multi-part message in MIME format.

--b1_MV7t6MjTFEs3runDDor3nxq1QDdAJe2nvIq2btNeU
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

SGksIGFyZSB0aGVyZSBhbnkgaXNzdWVzIGxlZnQgcHJldmVudGluZyB0aGlzIHBhdGNoIGZyb20g
YmVpbmcgbWVyZ2VkPyBJZiBzbywgSSBjYW4gaGVscC4gSSB3b3VsZCBsb3ZlIHRvIHNlZSBaaWcg
cGFja2FnZWQgaW4gZ3VpeC4=

--b1_MV7t6MjTFEs3runDDor3nxq1QDdAJe2nvIq2btNeU
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdj5IaSwgYXJlIHRoZXJlIGFueSBpc3N1ZXMgbGVmdCBwcmV2ZW50aW5nIHRoaXMgcGF0Y2gg
ZnJvbSBiZWluZyBtZXJnZWQ/IElmIHNvLCBJIGNhbiBoZWxwLiBJIHdvdWxkIGxvdmUgdG8gc2Vl
IFppZyBwYWNrYWdlZCBpbiBndWl4LjwvZGl2Pg==


--b1_MV7t6MjTFEs3runDDor3nxq1QDdAJe2nvIq2btNeU--






Last modified: Fri, 9 Apr 2021 22:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.